LazyPutterModifiable Class Reference

Helper class to finalize Puts on ByteQueue. More...

`#include <queue.h>`

Inheritance diagram for LazyPutterModifiable:

## Public Member Functions

| LazyPutterModifiable (ByteQueue &bq, byte *inString, size_t size)
| Construct a LazyPutterModifiable.
Public Member Functions inherited from LazyPutter
| LazyPutter (ByteQueue &bq, const byte *inString, size_t size)
| Construct a LazyPutter.

## Detailed Description

Helper class to finalize Puts on ByteQueue.

LazyPutterModifiable ensures LazyPut is committed to the ByteQueue in event of exception. During destruction, the LazyPutterModifiable class calls FinalizeLazyPut.

Definition at line 247 of file queue.h.

## Constructor & Destructor Documentation

## LazyPutterModifiable()

LazyPutterModifiable::LazyPutterModifiable | ( | ByteQueue & | bq,
|  | byte * | inString,
|  | size_t | size
| ) |  |

inline

Construct a LazyPutterModifiable.

Parameters

  bq | the ByteQueue
  inString | a byte array to insert
  size | the length of the byte array

LazyPutterModifiable ensures LazyPut is committed to the ByteQueue in event of exception. During destruction, the LazyPutterModifiable class calls FinalizeLazyPut.

Definition at line 257 of file queue.h.

The documentation for this class was generated from the following file:

- queue.h